import './index.css';
export declare const BasePaginationPropsSpec: {
    defaultCurrent: import("@sinclair/typebox").TNumber;
    pageSize: import("@sinclair/typebox").TNumber;
    total: import("@sinclair/typebox").TNumber;
    updateWhenDefaultValueChanges: import("@sinclair/typebox").TBoolean;
    disabled: import("@sinclair/typebox").TBoolean;
    hideOnSinglePage: import("@sinclair/typebox").TBoolean;
    size: import("@sinclair/typebox").TKeyOf<"default" | "mini" | "small" | "large">;
    sizeCanChange: import("@sinclair/typebox").TBoolean;
    simple: import("@sinclair/typebox").TBoolean;
    showJumper: import("@sinclair/typebox").TBoolean;
    showTotal: import("@sinclair/typebox").TBoolean;
};
declare const _default: import("@subscan/widget-runtime").ImplementedRuntimeComponent<import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
    defaultCurrent: import("@sinclair/typebox").TNumber;
    pageSize: import("@sinclair/typebox").TNumber;
    total: import("@sinclair/typebox").TNumber;
    updateWhenDefaultValueChanges: import("@sinclair/typebox").TBoolean;
    disabled: import("@sinclair/typebox").TBoolean;
    hideOnSinglePage: import("@sinclair/typebox").TBoolean;
    size: import("@sinclair/typebox").TKeyOf<"default" | "mini" | "small" | "large">;
    sizeCanChange: import("@sinclair/typebox").TBoolean;
    simple: import("@sinclair/typebox").TBoolean;
    showJumper: import("@sinclair/typebox").TBoolean;
    showTotal: import("@sinclair/typebox").TBoolean;
}>>, import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
    currentPage: import("@sinclair/typebox").TNumber;
}>>, {}, readonly "content"[], {}, readonly "onChange"[]>;
export default _default;
